<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

$cat = mysql_query("SELECT * FROM `pod_cat`");

if ($user['id']=='1'){

echo '<div class="links">';

echo '<img src="img.png" alt="."/> Админка > Изменение подарков<br/>';

echo '</div>';







                           if (isset($_GET['edit'])){
						   
						   
                                echo '<div class="links">';
							
							$id = intval($_GET['id']);
							
							$num = mysql_num_rows(mysql_query("select * from `pod_file` WHERE `id` = '".$id."'"));
							
							$pod = mysql_fetch_array(mysql_query("select * from `pod_file` WHERE `id` = '".$id."'"));
							
							if ($num == 0){
							
							echo 'Подарок не найден.<br/>';
							
							}else{
                               
							   
							   
							   
							   if (isset($_POST['submit'])){
							   
							   
							   $cena = intval($_POST['cena']);
							   
							   $cats = intval($_POST['cat_id']);
							   
							   if (!$cena){
							   
							   echo 'Некорректная цена.<br/>';
							   
							   echo '<a href="/pod/edit_pod.php?edit&id='.$id.'">Назад</a><br/>';
							   
							   }else{
							   
							   echo 'Подарок успешно изменен.<br/>';
							   
							   mysql_query("UPDATE `pod_file` SET `cena` = '".$cena."' WHERE `id` = '".$id."' LIMIT 1");
							   
							   mysql_query("UPDATE `pod_file` SET `cat_id` = '".$cats."' WHERE `id` = '".$id."' LIMIT 1");
							   
							   }
							   
							   }else{
							   
							  echo 'Изменение подарка:<br/>';
							  
							  echo '<img src="/pod/image/'.$pod['file'].'" alt="."/><br/>';
                              
                              echo '<form action="/pod/edit_pod.php?edit&id='.$id.'" method="post">';
							  
							  echo 'Выберите новую категорию:<br/>';
							  
							  echo '<select name="cat_id">';
                              while($razdel = mysql_fetch_assoc($cat)){
                              echo '<option value="'.$razdel['id'].'">'.$razdel['name'].'</option>';
                              };
                              echo '</select><br/>';
							  
							  
							  
							  echo 'Новая цена:<br/>';
                              echo '<input type="text" name="cena" value="'.$pod['cena'].'"/><br/>';

                              echo '<input type="submit" name="submit" value="Изменить"/>';
							  
							  
							  }
                               
							   }
							   
							   echo '</div>';

                             }else{




                            if (isset($_GET['del'])){
							
							echo '<div class="links">';
							
							$id = intval($_GET['id']);
							
							$num = mysql_num_rows(mysql_query("select * from `pod_file` WHERE `id` = '".$id."'"));
							
							if ($num == 0){
							
							echo 'Подарок не найден.<br/>';
							
							}else{
							
							
							
							
							
							
							
							
							
							if (isset($_POST['submit'])){
			
			$rn = mysql_real_escape_string($_GET['rn']);
			
			$k = intval($_POST['chislo']);
			
			$rn2 = md5($k);
			
			if ($rn!==$rn2){
			
			echo 'Извените, но Вы ввели не верное число.<br/>';
			
			echo '<a href="/pod/edit_pod.php?del&id='.$id.'">Попробовать ещё раз</a><br/>';
			
			}else{
			
			echo 'Подарок успешно удален.<br/>';
			
			mysql_query("UPDATE `pod_file` SET `del` = '1' WHERE `id` = '".$id."' LIMIT 1");
			
			}
			
			}else{
			
			 $rnd = rand(1111,9999);
			
			 $rn = md5($rnd);
			
			  echo 'Чтобы удалить подарок, пожалуйста, введите цифры: <b>'.$rnd.'</b><br/>';
			
			echo '<form action="/pod/edit_pod.php?del&id='.$id.'&rn='.$rn.'" method="post">';
			
			echo '<input type="text" name="chislo" value=""/><br/>';
			
			echo '<input type="submit" name="submit" value="Удалить"/>';
			
			}
							
							
							
							
							
							
							
							
							
							
							
							
							
							}
							
							echo '</div>';
							
							}else{
							
							
		   $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `pod_file` WHERE `del` = '0'"),0);
           $k_page = k_page($k_post,$set['p_str']);
           $page = page($k_page);
           $start = $set['p_str']*$page-$set['p_str'];
           $res = mysql_query("select * from `pod_file` WHERE `del` = '0' order by time desc LIMIT $start, $set[p_str];");
		   
		   if ($k_post == 0){
		   
		   echo '<div class="links">';
		   
		   echo 'Нет подарков.<br/>';
		   
		   echo '</div>';
		   
		   }else{
							
							
					while ($post = mysql_fetch_array($res)){		
							
							$cat = mysql_fetch_array(mysql_query("select * from `pod_cat` WHERE `id` = '".$post['cat_id']."'"));
							
							echo '<div class="links">';
		   
		                    
							
							echo '<img src="/pod/image/'.$post['file'].'"  height="70" width="70" alt="."><br/>';
							
							echo 'Добавлен: '.vremja($post['time']).'<br/>';
							
							echo 'Цена: '.$post['cena'].'<br/>';
							
							echo 'Категория: ';
							
							if (!isset($cat['name'])){
							
							echo 'удалена<br/>';
							
							}else{
							
							echo ''.$cat['name'].'<br/>';
							
							}
		   
		                    echo '<a href="/pod/edit_pod.php?edit&id='.$post['id'].'">Изменить</a> | <a href="/pod/edit_pod.php?del&id='.$post['id'].'">Удалить</a><br/>';
		   
		                    echo '</div>';
							
							
							}
							
					if ($k_page>1)str('?',$k_page,$page);		
							
					}		
							
							

                }

                }
 
echo '<div class="links">';

echo '<img src="img.png" alt="."/> <a href="/pod/edit_pod.php">Изменение подарков</a><br/>';

echo '<img src="img.png" alt="."/> <a href="/pod/admin.php">В админку</a><br/>';

echo '</div>';

}else{

header("Location: /pod/");

}

include_once '../sys/inc/tfoot.php';
?>